<template>
  <div class="city-dropdown">
    <select
      class="city-dropdown__select"
      v-model="selectedOption"
      @input="
        event => {
          $emit('input', event.target.value)
        }
      "
    >
      <option v-for="(name, option) in options" :key="option" :value="option">
        {{ name }}
      </option>
    </select>
    <div @click="submit" class="city-dropdown__close">
      OK
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      selectedOption: null
    }
  },
  props: {
    value: null,
    options: {
      type: Object,
      required: true
    }
  },
  mounted() {
    this.selectedOption = this.value
  },
  watch: {
    value: function(newValue) {
      this.selectedOption = newValue
    }
  },
  methods: {
    submit: function() {
      this.$emit('hide')
    }
  }
}
</script>

<style lang="scss">
.city-dropdown {
  position: relative;
  width: 100%;

  @include breakpoint(medium) {
    width: auto;
  }

  .city-dropdown__select {
    appearance: none;
    background: none;
    border: none;
    font-size: 0.9375rem;
    background: $color-white;
    border-radius: 8px;
    padding: 10px 60px 10px 10px;
    width: 100%;

    @include breakpoint(medium) {
      padding: 30px 150px 30px 30px;
      font-size: 1.875rem;
    }
  }

  &__close {
    position: absolute;
    cursor: pointer;
    right: 0;
    top: 0;
    height: 100%;
    width: 60px;
    font-size: 0.9375rem;
    color: $color-dodger-blue;
    display: flex;
    justify-content: center;
    align-items: center;

    @include breakpoint(medium) {
      width: 120px;
      font-size: 1.875rem;
    }
  }
}
</style>
